from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import Boolean, File, Int, String, Array

Vtools_Report_Plot_Pheno_Fields_V0_1_0 = CommandToolBuilder(tool="vtools_report_plot_pheno_fields", base_command=["vtools_report", "plot_pheno_fields"], inputs=[ToolInput(tag="in_samples", input_type=Boolean(optional=True), prefix="--samples", doc=InputDocumentation(doc="[SAMPLES [SAMPLES ...]]\nConditions based on which samples are selected.\nDefault to all samples.")), ToolInput(tag="in_save_data", input_type=File(optional=True), prefix="--save_data", doc=InputDocumentation(doc="Save data to file.")), ToolInput(tag="in_save_script", input_type=File(optional=True), prefix="--save_script", doc=InputDocumentation(doc="Save R script to file.")), ToolInput(tag="in_width", input_type=Int(optional=True), prefix="--width", doc=InputDocumentation(doc="Width of plot. Default to 800.")), ToolInput(tag="in_height", input_type=Int(optional=True), prefix="--height", doc=InputDocumentation(doc="Height of plot. Default to 600.")), ToolInput(tag="in_verbosity", input_type=String(optional=True), prefix="--verbosity", doc=InputDocumentation(doc="Output error and warning (0), info (1), debug (2) and\ntrace (3) information to standard output (default to\n1).")), ToolInput(tag="in_hist", input_type=File(optional=True), prefix="--hist", doc=InputDocumentation(doc="File name of the outputted figure, which can have type\nPDF, EPS, or JPG. Multiple files might be produced if\nmore than one figure is produced (e.g.\nMyFig_$FIELD1.pdf, MyFig_$FILED2.pdf if MyFig.pdf is\nspecified)")), ToolInput(tag="in_norm_curve", input_type=Boolean(optional=True), prefix="--norm_curve", doc=InputDocumentation(doc="Add a normal distribution N(mean, stdev) density curve\nto the histogram.")), ToolInput(tag="in_dot", input_type=File(optional=True), prefix="--dot", doc=InputDocumentation(doc="File name of the outputted figure, which can have type\nPDF, EPS, or JPG.")), ToolInput(tag="in_dot_size", input_type=Int(optional=True), prefix="--dot_size", doc=InputDocumentation(doc="Size of dots. Default is 2.0")), ToolInput(tag="in_discrete_color", input_type=String(optional=True), prefix="--discrete_color", doc=InputDocumentation(doc="If specified, the third field of input will be treated\nas 'factor' data.")), ToolInput(tag="in_box", input_type=File(optional=True), prefix="--box", doc=InputDocumentation(doc="File name of the outputted figure, which can have type\nPDF, EPS, or JPG.")), ToolInput(tag="in_stratify", input_type=Array(t=String(), optional=True), prefix="--stratify", doc=InputDocumentation(doc="Cutoff values to stratify data in the input field for\nbox plot. When this option is on, only one input field\nis allowed.")), ToolInput(tag="in_outlier_size", input_type=Int(optional=True), prefix="--outlier_size", doc=InputDocumentation(doc="Size of outlier dots. Default is 2.0")), ToolInput(tag="in_color", input_type=String(optional=True), prefix="--color", doc=InputDocumentation(doc="Color theme for boxes.\n")), ToolInput(tag="in_fields", input_type=String(), position=0, doc=InputDocumentation(doc="A list of fields that will be outputted."))], outputs=[], container=None, version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Vtools_Report_Plot_Pheno_Fields_V0_1_0().translate("wdl", allow_empty_container=True)

